Erro em instalação de programa e na atualização do OS [RESOLVIDO]

1. Erro em instalação de programa e na atualização do OS [RESOLVIDO]

Hugo Pantuzzo
ozzutnap

(usa Kali)

Enviado em 10/12/2017 - 08:52h


[email protected]:~/Downloads/gimp-2.8.22# ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether make supports nested variables... (cached) yes
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking whether gcc understands -c and -o together... yes
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking how to print strings... printf
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for fgrep... /bin/grep -F
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking how to convert x86_64-pc-linux-gnu file names to x86_64-pc-linux-gnu format... func_convert_file_noop
checking how to convert x86_64-pc-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for ar... ar
checking for archiver @FILE support... @
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for sysroot... no
checking for a working dd... /bin/dd
checking how to truncate binary pipes... /bin/dd bs=4096 count=1
checking for mt... mt
checking if mt is a manifest tool... no
checking how to run the C preprocessor... gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/bin/ld -m elf_x86_64) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking dependency style of gcc... gcc3
checking whether to enable maintainer-specific portions of Makefiles... yes
checking for pkg-config... no
checking for target architecture... x86_64-pc-linux-gnu
checking for some Win32 platform... no
checking for native Win32... no
checking whether make sets $(MAKE)... (cached) yes
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking whether to turn on debugging... no
checking whether to turn on profiling... no
checking whether gcc understands -Wdeclaration-after-statement... yes
checking whether gcc understands -Wmissing-prototypes... yes
checking whether gcc understands -Werror=missing-prototypes... yes
checking whether gcc understands -Wstrict-prototypes... yes
checking whether gcc understands -Wmissing-declarations... yes
checking whether gcc understands -Winit-self... yes
checking whether gcc understands -Wpointer-arith... yes
checking whether gcc understands -Wold-style-definition... yes
checking whether gcc understands -Wmissing-format-attribute... yes
checking whether gcc understands -Wformat-security... yes
checking whether gcc understands -fno-common... yes
checking whether gcc understands -fdiagnostics-show-option... yes
checking whether gcc understands --omg-optimized... no
checking whether gcc understands --disable-instructions... no
checking for ANSI C header files... (cached) yes
checking for sys/wait.h that is POSIX.1 compatible... yes
checking whether time.h and sys/time.h may both be included... yes
checking execinfo.h usability... yes
checking execinfo.h presence... yes
checking for execinfo.h... yes
checking sys/param.h usability... yes
checking sys/param.h presence... yes
checking for sys/param.h... yes
checking sys/time.h usability... yes
checking sys/time.h presence... yes
checking for sys/time.h... yes
checking sys/times.h usability... yes
checking sys/times.h presence... yes
checking for sys/times.h... yes
checking for sys/wait.h... (cached) yes
checking for unistd.h... (cached) yes
checking for backtrace... yes
checking for pid_t... yes
checking for vprintf... yes
checking for _doprnt... no
checking for size_t... yes
checking for working alloca.h... yes
checking for alloca... yes
checking for fsync... yes
checking for difftime... yes
checking for mmap... yes
checking whether binary relocation support should be enabled... no
checking for _NL_MEASUREMENT_MEASUREMENT... yes
checking whether NLS is requested... yes
./configure: line 15199: intltool-update: command not found
checking for intltool >= 0.40.1... found
configure: error: Your intltool is too old. You need intltool 0.40.1 or later.
[email protected]:~/Downloads/gimp-2.8.22# make
make: *** Nenhum alvo indicado e nenhum arquivo make encontrado. Pare.
[email protected]:~/Downloads/gimp-2.8.22# make install
make: *** No rule to make target 'install'. Pare.
[email protected]:~/Downloads/gimp-2.8.22# sudo make
make: *** Nenhum alvo indicado e nenhum arquivo make encontrado. Pare.
[email protected]:~/Downloads/gimp-2.8.22# sudo make install
make: *** No rule to make target 'install'. Pare.
[email protected]:~/Downloads/gimp-2.8.22#


Alguém me dá uma luz ?



  


2. MELHOR RESPOSTA

Jose Mario
zezaocapoeira

(usa Slackware)

Enviado em 10/12/2017 - 11:04h

ozzutnap escreveu:

...
[email protected]:~# apt-get update
Atingido:1 http://deb.i2p2.no unstable InRelease
Lendo listas de pacotes... Pronto
[email protected]:~# apt-get upgrade
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Calculando atualização... Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.
[email protected]:~# apt-get install gimp
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
O pacote gimp não está disponível, mas é referenciado por outro pacote.
Isto pode significar que o pacote está faltando, ficou obsoleto ou
está disponível somente a partir de outra fonte

E: O pacote 'gimp' não tem candidato para instalação
[email protected]:~#


Salve mano.

Altere sua sources.list conforme a documentação informa:

https://docs.kali.org

kali-rolling is our current active repository since the release of Kali 2016.1. Kali Rolling users are expected to have the following entries in their sources.list:

deb http://http.kali.org/kali kali-rolling main contrib non-free
# For source package access, uncomment the following line
# deb-src http://http.kali.org/kali kali-rolling main contrib non-free


e repita.


# apt-get update
# apt-get upgrade
# apt-get install gimp




OBS:

Sugiro ler a documentação do kali.

https://docs.kali.org


Ou instalar uma distribuição para uso desktop, visto que o Kali é contruído pra pentest.


https://www.debian.org/CD/
https://www.ubuntu.com/download
https://software.opensuse.org
https://getfedora.org/pt_BR/


Obrigado pela atenção, salve !!!

3. Re: Erro em instalação de programa e na atualização do OS [RESOLVIDO]

Lucas Moraes
lucasdemoraesc

(usa Ubuntu)

Enviado em 10/12/2017 - 09:03h

ozzutnap escreveu:

{. . .}
Alguém me dá uma luz ?
https://goo.gl/NP3uEY

https://www.vivaolinux.com.br/topico/vivaolinux/[ajuda]instalar-programa-em-tarbz2


LMC


4. Re: Erro em instalação de programa e na atualização do OS [RESOLVIDO]

Hugo Pantuzzo
ozzutnap

(usa Kali)

Enviado em 10/12/2017 - 09:47h

correalinux escreveu:

ozzutnap escreveu:

{. . .}
Alguém me dá uma luz ?
https://goo.gl/NP3uEY

https://www.vivaolinux.com.br/topico/vivaolinux/[ajuda]instalar-programa-em-tarbz2


LMC


[email protected]:~# sudo dpkg -i intltool_0.50.2-2_all.deb
dpkg: erro: cannot access archive 'intltool_0.50.2-2_all.deb': Arquivo ou diretório não encontrado
[email protected]:~# cd Downloads
[email protected]:~/Downloads# sudo dpkg -i intltool_0.50.2-2_all.deb
A seleccionar pacote anteriormente não seleccionado intltool.
(Lendo banco de dados ... 317697 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar intltool_0.50.2-2_all.deb ...
A descompactar intltool (0.50.2-2) ...
dpkg: problemas com dependências impedem a configuração de intltool:
intltool depende de gettext (>= 0.10.36-1); porém:
Pacote gettext não está instalado.
intltool depende de automake | automaken; porém:
Pacote automake não está instalado.
Pacote automaken não está instalado.
perl-base (5.26.0-8) quebra intltool (<< 0.51.0-4) e é instalado.
Versão de intltool a ser configurada é 0.50.2-2.

dpkg: erro ao processar o pacote intltool (--install):
problemas de dependência - deixando desconfigurado
A processar 'triggers' para man-db (2.7.6.1-2) ...
Erros foram encontrados durante o processamento de:
intltool
[email protected]:~/Downloads# sudo dpkg -i intltool_0.50.2-2_all.deb
(Lendo banco de dados ... 317717 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar intltool_0.50.2-2_all.deb ...
A descompactar intltool (0.50.2-2) sobre (0.50.2-2) ...
dpkg: problemas com dependências impedem a configuração de intltool:
intltool depende de gettext (>= 0.10.36-1); porém:
Pacote gettext não está instalado.
intltool depende de automake | automaken; porém:
Pacote automake não está instalado.
Pacote automaken não está instalado.
perl-base (5.26.0-8) quebra intltool (<< 0.51.0-4) e é instalado.
Versão de intltool a ser configurada é 0.50.2-2.

dpkg: erro ao processar o pacote intltool (--install):
problemas de dependência - deixando desconfigurado
A processar 'triggers' para man-db (2.7.6.1-2) ...
Erros foram encontrados durante o processamento de:
intltool
[email protected]:~/Downloads#


Instalei o automake e o autoconf porém volta a apresentar o erro


5. Re: Erro em instalação de programa e na atualização do OS [RESOLVIDO]

Jose Mario
zezaocapoeira

(usa Slackware)

Enviado em 10/12/2017 - 09:58h

Salve mano.

Kali Linux é baseado no Debian testing.


# apt-get update
# apt-get upgrade
# apt-get install gimp


OBS:
Sugiro instalar uma distribuição para uso desktop, visto que o Kali é contruído pra pentest.

https://www.debian.org/CD/
https://www.ubuntu.com/download
https://software.opensuse.org
https://getfedora.org/pt_BR/

Obrigado pela atenção, salve!!!


6. Re: Erro em instalação de programa e na atualização do OS [RESOLVIDO]

Lucas Moraes
lucasdemoraesc

(usa Ubuntu)

Enviado em 10/12/2017 - 09:58h

ozzutnap escreveu:

correalinux escreveu:

ozzutnap escreveu:

{. . .}
Alguém me dá uma luz ?
https://goo.gl/NP3uEY

https://www.vivaolinux.com.br/topico/vivaolinux/[ajuda]instalar-programa-em-tarbz2


LMC


[email protected]:~# sudo dpkg -i intltool_0.50.2-2_all.deb
dpkg: erro: cannot access archive 'intltool_0.50.2-2_all.deb': Arquivo ou diretório não encontrado
[email protected]:~# cd Downloads
[email protected]:~/Downloads# sudo dpkg -i intltool_0.50.2-2_all.deb
A seleccionar pacote anteriormente não seleccionado intltool.
(Lendo banco de dados ... 317697 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar intltool_0.50.2-2_all.deb ...
A descompactar intltool (0.50.2-2) ...
dpkg: problemas com dependências impedem a configuração de intltool:
intltool depende de gettext (>= 0.10.36-1); porém:
Pacote gettext não está instalado.
intltool depende de automake | automaken; porém:
Pacote automake não está instalado.
Pacote automaken não está instalado.
perl-base (5.26.0-8) quebra intltool (<< 0.51.0-4) e é instalado.
Versão de intltool a ser configurada é 0.50.2-2.

dpkg: erro ao processar o pacote intltool (--install):
problemas de dependência - deixando desconfigurado
A processar 'triggers' para man-db (2.7.6.1-2) ...
Erros foram encontrados durante o processamento de:
intltool
[email protected]:~/Downloads# sudo dpkg -i intltool_0.50.2-2_all.deb
(Lendo banco de dados ... 317717 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar intltool_0.50.2-2_all.deb ...
A descompactar intltool (0.50.2-2) sobre (0.50.2-2) ...
dpkg: problemas com dependências impedem a configuração de intltool:
intltool depende de gettext (>= 0.10.36-1); porém:
Pacote gettext não está instalado.
intltool depende de automake | automaken; porém:
Pacote automake não está instalado.
Pacote automaken não está instalado.
perl-base (5.26.0-8) quebra intltool (<< 0.51.0-4) e é instalado.
Versão de intltool a ser configurada é 0.50.2-2.

dpkg: erro ao processar o pacote intltool (--install):
problemas de dependência - deixando desconfigurado
A processar 'triggers' para man-db (2.7.6.1-2) ...
Erros foram encontrados durante o processamento de:
intltool
[email protected]:~/Downloads#


Instalei o automake e o autoconf porém volta a apresentar o erro

O intltool não está nos repos do Kali...?


LMC


7. Re: Erro em instalação de programa e na atualização do OS

skjdeecedcnfncvnrfcnrncjvnjrnfvjcnjrjvcjrvcj
Londreslondres

(usa Parabola)

Enviado em 10/12/2017 - 10:02h

Gimp não está nos repositórios do Kali.

A solução é instalar o pacote flatpak e baixar o Gimp em formato flatpak em seu site oficial.

EDIT: O Gimp está disponível nos repositórios. Instale o pacote: gimp
--------------------------------------------------------------------
#voltalisteiro


8. Re: Erro em instalação de programa e na atualização do OS [RESOLVIDO]

Jose Mario
zezaocapoeira

(usa Slackware)

Enviado em 10/12/2017 - 10:09h

Londreslondres escreveu:

Gimp não está nos repositórios do Kali.

A solução é instalar o pacote flatpak e baixar o Gimp em formato flatpak em seu site oficial.
--------------------------------------------------------------------
#voltalisteiro


Salve @Londreslondres.

Aparentemente tem sim.

http://http.kali.org/pool/main/g/gimp/

Obrigado pela atenção, salve!!!


9. Re: Erro em instalação de programa e na atualização do OS [RESOLVIDO]

skjdeecedcnfncvnrfcnrncjvnjrnfvjcnjrjvcjrvcj
Londreslondres

(usa Parabola)

Enviado em 10/12/2017 - 10:34h

Kali Linux no OlharDigital:
https://olhardigital.com.br/video/com-criatividade-brasileiros-transformam-memes-em-profissao/68420

Assistam o vídeo. Reparem o notebok aos 2:53 o cara usa o Gimp no Kali Linux.
--------------------------------------------------------------------
#voltalisteiro


10. Re: Erro em instalação de programa e na atualização do OS [RESOLVIDO]

Hugo Pantuzzo
ozzutnap

(usa Kali)

Enviado em 10/12/2017 - 10:54h

zezaocapoeira escreveu:

Salve mano.

Kali Linux é baseado no Debian testing.


# apt-get update
# apt-get upgrade
# apt-get install gimp


OBS:
Sugiro instalar uma distribuição para uso desktop, visto que o Kali é contruído pra pentest.

https://www.debian.org/CD/
https://www.ubuntu.com/download
https://software.opensuse.org
https://getfedora.org/pt_BR/

Obrigado pela atenção, salve!!!



[email protected]:~# apt-get update
Atingido:1 http://deb.i2p2.no unstable InRelease
Lendo listas de pacotes... Pronto
[email protected]:~# apt-get upgrade
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Calculando atualização... Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.
[email protected]:~# apt-get install gimp
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
O pacote gimp não está disponível, mas é referenciado por outro pacote.
Isto pode significar que o pacote está faltando, ficou obsoleto ou
está disponível somente a partir de outra fonte

E: O pacote 'gimp' não tem candidato para instalação
[email protected]:~#




11. Re: Erro em instalação de programa e na atualização do OS

Jose Mario
zezaocapoeira

(usa Slackware)

Enviado em 10/12/2017 - 11:38h

Salve mano.

Instalei o Kali aqui pra testar.

https://postimg.org/gallery/jhr5jgl8/

OBS:

Ao usar o Kali , por gentileza estudar/entender sua documentação.

Compreender que é um sistema pra pentest .

Não querer transformar o sistema num desktop para uso no dia a dia, para isso existem diversas distros além das que citei em postagens anteriores.

Ser Pentester vai mais além do que instalar/usar um sistema com ferramentas prontas.


Obrigado pela atenção, salve!!!


12. Re: Erro em instalação de programa e na atualização do OS [RESOLVIDO]

Hugo Pantuzzo
ozzutnap

(usa Kali)

Enviado em 10/12/2017 - 12:26h

Pessoal problema resolvido haha
Muito obrigado pela força galera, e um agradecimento em especial pro zezaocapoeira, graças a você deu tudo certo tamo junto !!!
E valeu pelas dicas também, em breve vou começar a usar o Mint, instalei o Kali pois sempre tive muita curiosidade por pentest os dias dele aqui na máquina estão contados kk






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts